Open SCAP Library

Functions
oval_string_map.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <string.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include "oval_string_map_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include <rbt/rbt.h>`
`#include <assume.h>`

## Functions
struct oval_string_map * | oval_string_map_new (void)
void | oval_string_map_put (struct oval_string_map *map, const char *key, void *val)
void | oval_string_map_put_string (struct oval_string_map *map, const char *key, const char *val)
void * | oval_string_map_get_value (struct oval_string_map *map, const char *key)
void | oval_string_map_free (struct oval_string_map *map, oscap_destruct_func destroy)
void | oval_string_map_free0 (struct oval_string_map *map)
void | oval_string_map_free_string (struct oval_string_map *map)
struct oval_iterator * | oval_string_map_keys (struct oval_string_map *map)
struct oval_iterator * | oval_string_map_values (struct oval_string_map *map)
struct oval_collection * | oval_string_map_collect_values (struct oval_string_map *map, struct oval_collection *collection)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/